#include <stdio.h>

#include "../sumtable.h"

int tablecheck(unsigned long long);

int main() {

    unsigned long i;
    unsigned long long rand1, rand2, rand3;

    puts("Pass 1.");

    srand(2);

    for(i=1; i<10000000; i++) {
        
        rand1=rand();
        rand2=rand();
        
        rand3=rand1*rand2;
    
        if(rand3!=0) {
            if(tablecheck(rand3) != 1) puts("Insert messed up.");
        }
        
        if(i%100000 == 1) printf("%lu.\n", i);
        
    }

#if 0
    puts("Pass 2.");
    
    srand(1);
    
    for(i=1; i<10000000; i++) {
        
        rand1=rand();
        rand2=rand();
        
        if(tablecheck(rand1*rand2) != 0) puts("Retrieve messed up.");
        
        if(i%100000 == 1) printf("%lu.\n", i);
    }
#endif

    return 0;
    
}

long int gethistorysize() {

    return 1048576;
}

int cflog(char *data) {

    printf("%s\n", data);
}

FILE *getloghandle() {
   
    return stdout;

}